Anonymous Login
2017-11-21 15:01 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001274OpenClonkEngine - Controlspublic2016-05-01 22:35
ReporterCaesar 
Assigned ToLuchs 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSGentoo LinuxOS Version
Product Version 
Target Version8.0Fixed in Version8.0 
Summary0001274: Gamepad not working
DescriptionUnder linux, my gamepad is not working at all in openclonk.

First off, unless USE_SDL_MAINLOOP is set, the gamepad code is not actually build. (That was easy to fix, see below)

But then I got stuck. The input is received by C4GamePadControl::Execute just fine and are forwared to C4KeyboardInput::DoInput. There, no gamepad keypresses that is triggered seems to have the necessary KEYSTOPE_Control (keyboard input does).

Explanations? Fixes?
Additional Information--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -897,11 +897,10 @@ endif()
 find_package("Audio")
 
 # SDL
-if(USE_SDL_MAINLOOP OR (Audio_TK STREQUAL "SDL_Mixer"))
+if(USE_SDL_MAINLOOP OR (Audio_TK STREQUAL "SDL_Mixer") OR NOT WIN32)
        include(FindSDL)
        SET(HAVE_SDL ${SDL_FOUND})
        include_directories(${SDL_INCLUDE_DIR})
- target_link_libraries(openclonk ${SDL_LIBRARY})
 endif()
 
 ############################################################################
@@ -1287,6 +1286,11 @@ elseif(MINGW)
        endif()
 endif()
 
+# SDL
+if(HAVE_SDL)
+ target_link_libraries(openclonk ${SDL_LIBRARY})
+endif()
+
 CHECK_INCLUDE_FILE_CXX(getopt.h HAVE_GETOPT_H)
 
 # TinyXML
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003496

Clonkonaut (developer)

The information you wanted is:

Scope KEYSCOPE_Control (1) C4KeyScope

Gamepad worked for me (Win 8.1)

~0003525

Armin (reporter)

In OC 4.1 my gamepad works. (Even if I am not able to change the the suggested buttons.). In 5.1 not. Using Korora 21 Linux.

~0004389

Zapper (developer)

We should postpone this to 8.0 as ingame gamepad support will not be ready for 7.0 anyway.

We should probably disable gamepad in the options, though.

~0004445

Clonkonaut (developer)

Moved to 8.0

~0005092

Luchs (developer)

Gamepad should now work equally well (or badly) on all platforms, as SDL is now used everywhere.
+Notes

-Issue History
Date Modified Username Field Change
2015-02-13 10:08 Caesar New Issue
2015-02-13 19:20 Clonkonaut Note Added: 0003496
2015-03-08 22:51 Armin Note Added: 0003525
2015-10-16 02:33 Sven2 Target Version => 7.0
2015-12-25 23:37 Zapper Note Added: 0004389
2016-01-02 20:41 Clonkonaut Target Version 7.0 => 8.0
2016-01-02 20:41 Clonkonaut Note Added: 0004445
2016-01-02 20:41 Clonkonaut Status new => acknowledged
2016-05-01 22:35 Luchs Note Added: 0005092
2016-05-01 22:35 Luchs Status acknowledged => resolved
2016-05-01 22:35 Luchs Fixed in Version => 8.0
2016-05-01 22:35 Luchs Resolution open => fixed
2016-05-01 22:35 Luchs Assigned To => Luchs
+Issue History